// Définition des constantes
const int photoRes = A2;  // broche liée à la photorésistance
const int buzzer = 8; // broche liée au buzzer

int photoResVal = 0;        // valeur lue par la photorésistance
int frequence= 0;        // valeur reçue par le buzzer

void setup() {
  // communication avec l'ordinateur à 9600 bps
  Serial.begin(9600);
}

void loop() {
  // lire la valeur de photoresistance
  photoResVal = analogRead(A2);
  // change la valeur lue par la photorésistance en une valeur de fréquence audible par l’homme.
  frequence= map(photoResVal, 0, 500, 50, 4000);
  // change la valeur du buzzer:
  analogWrite(buzzer,frequence);
  // commande au buzzer branché sur la broche 8 de jouer la fréquence obtenue :
  tone(8,frequence);

  // écrire les résultats dans le moniteur série :
  Serial.print("valeur photoresistance= ");
  Serial.print(photoResVal);
  Serial.print("\t frequence = ");
  Serial.println(frequence);

  // attendre 2 ms avant la prochaine loop
  delay(2);
}

